# Learning Matrix Railway Signalling

[![License: CC-BY-4.0](https://img.shields.io/badge/license-CC--BY--4.0-green.svg)](https://creativecommons.org/licenses/by/4.0/)

------------

# About

The learning matrix follows a three-level Bloom's taxonomy (see [Wikipedia](https://en.wikipedia.org/wiki/Bloom%27s_taxonomy)) and extends it by a thematic dimension with three levels. The idea comes from "Flexibles Lernen in der Hochschule mit Digitalen Differenzierungsmatrizen" ([DOI:10.3217/zfhe-14-03/17](https://doi.org/10.3217/zfhe-14-03/17); in german).

The resulting nine levels are based on the following scheme:

|                      |                                                | **thematic domain**                                          |                                                              |                                                              |
| :------------------- | :--------------------------------------------- | :----------------------------------------------------------- | :----------------------------------------------------------- | :----------------------------------------------------------- |
|                      |                                                | *term level: factual/conceptual*                             | *process level: procedural*                                  | *model level: metacognitive*                                 |
| **cognitive domain** | *Recognise / match (name, assign)*             | [A1]<br /> e.g.: Definition/ properties/ differences between the terms | [A2]<br /> e.g.: List conditions under which a process can function | [A3]<br /> e.g.: Properties by which a model can be recognised |
|                      | *Optimise (correct, change, adapt, transform)* | [B1]<br /> e.g.: Find errors in texts/ descriptions/ processes | [B2]<br /> e.g.: what state has to be changed so that a process can begin | [B3]<br /> e.g.: Adjust something to adhere to a different model |
|                      | *Explicate (describe, comment, explain)*       | [C1]<br /> e.g.: Have errors explained                       | [C2]<br /> e.g.: Design/ comment on a process and describe it with states | [C3]<br /> e.g.: Design and describe system                  |

|                         |                                                             | **Thematische Dimension**                                    |                                                              |                                                              |
| :---------------------- | :---------------------------------------------------------- | :----------------------------------------------------------- | :----------------------------------------------------------- | :----------------------------------------------------------- |
|                         |                                                             | *Begriffsebene: faktisch/konzeptuell*                        | *Prozessebene: prozedural*                                   | *Modellebene: metakognitiv*                                  |
| **Kognitive Dimension** | *Erkennen/Abgleichen (benennen, zuordnen)*                  | [A1]<br /> z.B.: Definition/ Eigenschaften/ Unterschiede zwischen den Begriffen | [A2]<br /> z.B.: Bedingungen aufzählen, unter denen ein Prozess funktioneren kann | [A3]<br /> z.B.: Eigenschaften, an denen man ein Modell erkennen kann |
|                         | *Optimieren (berichtigen, verändern,  anpassen, umwandeln)* | [B1]<br /> z.B.: Fehler in Texten/ Beschreibungen/ Ablaufprozessen finden | [B2]<br /> z.B.: welcher Zustand muss verändert werden, damit ein Prozess beginnen kann | [B3]<br /> z.B.: etwas anpassen, damit ein anderes Modell zustande kommt |
|                         | *Explizieren (beschreiben, kommentieren,  erklären)*        | [C1]<br /> z.B.: Fehler erklären lassen                      | [C2]<br /> z.B.: Einen Prozess entwerfen/ kommentieren und ihn mit Zuständen beschreiben | [C3]<br /> z.B.: System entwerfen und beschreiben            |

Currently, the learning matrix is only available in german. For the current version, the learning matrix railway signalling was created for the following areas:

* Folgefahrschutz und Gegenfahrschutz (follow protection and opposing protection)
* Fahrstraßen (routes)
* Flankenschutz (flank protection)
* Durchrutschweg (overlaps)



# License

  CC-BY-4.0

  See LICENSE file